开发者社区> 问答> 正文

如何管理ruby和jruby

蛮大人123 2016-02-29 14:26:17 1113

需要用到 fastercsv 。一开始使用gem install 安装,结果只是 ruby .rb时可以使用,用jruby .rb运行时还是会报错:no such file to load -- fastercsv (LoadError)。
使用指令 “jruby gem install fastercsv" 则会显示:"JRuby limited openssl loaded. http://jruby.org/openssl
gem install jruby-openssl for full support." 错误.
求教。

分享到
取消 提交回答
全部回答(1)
  • 蛮大人123
    2019-07-17 18:50:16

    使用rvm管理ruby的各个版本。想用jruby时,终端运行:rvm jruby,就会将ruby关键字对应到jruby,使用gem安装第三方库时,也会安装到jruby。

    0 0

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题